Bug 474346 - "Find Users" fails on non-ascii characters
"Find Users" fails on non-ascii characters
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ipa (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Rob Crittenden
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-03 07:55 EST by Alexander Boström
Modified: 2010-07-06 13:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:53:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tail of /var/log/ipa_error.log (3.46 KB, text/plain)
2008-12-03 07:55 EST, Alexander Boström
no flags Details

  None (edit)
Description Alexander Boström 2008-12-03 07:55:49 EST
Created attachment 325532 [details]
tail of /var/log/ipa_error.log

Description of problem:
"Find Users" fails when searching for a user with non-ascii character in surname.

Version-Release number of selected component (if applicable):
ipa-server-1.2.0-3.fc10.i386

How reproducible:
Always

Steps to Reproduce:
1. Install ipa-server
2. Add a user with a 'ö' in the last name.
3. Click Find Users, search for the username,
  
Actual results:
500 - Internal Server Error

Expected results:
User list

Additional info:
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 5: ordinal not in range(128)
Error location in template file '/usr/share/ipa/ipagui/templates/userlist.kid'
between line 59, column 20 and line 63, column 16:

Full backtrace as attachment.
Comment 1 Rob Crittenden 2008-12-03 11:34:28 EST
We load TurboGears templates manually in such a way that avoids every attempt by TurboGears to set the default encoding to utf-8 which leaves it with the default python value of ascii.

We fixed a bug related to entering non-ascii data in bug 454076. We may be able to leverage that fix here as well.
Comment 2 Bug Zapper 2009-11-18 05:18:04 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-04-27 08:26:58 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 06:53:20 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Rob Crittenden 2010-07-06 13:26:08 EDT
Leaving as WONTFIX, this is being addressed in IPA v2.

Note You need to log in before you can comment on or make changes to this bug.